Summary: A fancy terminal browser for the Gemini protocol.
Name: amfora
Version: 1.9.2
Release: 1%{?dist}
License: GPL
URL: https://github.com/makew0rld/amfora
Source https://github.com/makew0rld/amfora/archive/refs/tags/v%{version}.tar.gz

BuildRequires: make
BuildRequires: git
BuildRequires: gcc
BuildRequires: golang

Requires: ncurses-base

%global debug_package %{nil}

%description
Amfora aims to be the best looking Gemini client with the most features... all in the terminal. It does not support Gopher or other non-Web protocols - check out Bombadillo for that.

It also aims to be completely cross platform, with full Windows support. If you're on Windows, I would not recommend using the default terminal software. Use Windows Terminal instead, and make sure it works with UTF-8. Note that some of the application colors might not display correctly on Windows, but all functionality will still work.

It fully passes Sean Conman's client torture test, as well as the Egsam one.

%prep
%setup -q

%build
%make_build %{?_smp_mflags} PREFIX=%{_prefix}

%install
mkdir -p %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications/
%make_install PREFIX=%{_prefix}

%files
%{_bindir}/amfora
%{_datadir}/applications/amfora.desktop
%doc README.md
%license LICENSE

%changelog
* Fri Feb 02 2024 hyperreal <hyperreal@fedoraproject.org>
- Created spec file
